﻿@model MIMS.Portal.ViewModels.Store.StoreEditViewModel
@using MIMS.Portal.Commons.Extensions;


@{
    ViewData["PageTitle"] = "ویرایش فروشگاه";
}

<form method="post" enctype="multipart/form-data">
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">مشخصات فروشگاه</h4>
        </div>
        <div class="card-body">
            <div class="card-block">

                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input asp-for="Id" hidden />
                <input asp-for="MerchantId" hidden />
                <input asp-for="StoreDocumentId" hidden />

                <div class="form">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantFullName" class="control-label"></label>
                                    <p><strong>@Model.MerchantFullName</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="MerchantNationalCode" class="control-label"></label>
                                    <p><strong>@Model.MerchantNationalCode</strong></p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="CreatedDate" class="control-label"></label>
                                    <p><strong dir="ltr">@Model.CreatedDate.ToPeString()</strong></p>
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="StoreName" class="control-label"></label>
                                    <span asp-validation-for="StoreName" class="text-danger"></span>
                                    <input asp-for="StoreName" asp-description-for="StoreName" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="EnglishStoreName" class="control-label"></label>
                                    <span asp-validation-for="EnglishStoreName" class="text-danger"></span>
                                    <input asp-for="EnglishStoreName" asp-description-for="EnglishStoreName" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="BusinessGroupId" class="control-label"></label>
                                    <span asp-validation-for="BusinessGroupId" class="text-danger"></span>
                                    <select asp-for="BusinessGroupId" asp-description-for="BusinessGroupId" asp-items="@ViewBag.BusinessGroups" class="form-control">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="BusinessScopeId" class="control-label"></label>
                                    <span asp-validation-for="BusinessScopeId" class="text-danger"></span>
                                    <select asp-for="BusinessScopeId" asp-description-for="BusinessScopeId" asp-items="@ViewBag.BusinessScopes" class="form-control">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="ProvinceId" class="control-label"></label>
                                    <span asp-validation-for="ProvinceId" class="text-danger"></span>
                                    <select asp-for="ProvinceId" asp-description-for="ProvinceId" class="form-control" asp-items="@ViewBag.Provinces">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="CountyId" class="control-label"></label>
                                    <span asp-validation-for="CountyId" class="text-danger"></span>
                                    <select asp-for="CountyId" asp-description-for="CountyId" class="form-control" asp-items="@ViewBag.Counties">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="CityId" class="control-label"></label>
                                    <span asp-validation-for="CityId" class="text-danger"></span>
                                    <select asp-for="CityId" asp-description-for="CityId" class="form-control" asp-items="@ViewBag.Cities">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="PostalCode" class="control-label"></label>
                                    <span asp-validation-for="PostalCode" class="text-danger"></span>
                                    <input asp-for="PostalCode" asp-description-for="PostalCode" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label asp-for="Address" class="control-label"></label>
                                    <span asp-validation-for="Address" class="text-danger"></span>
                                    <input asp-for="Address" asp-description-for="Address" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Mobile" class="control-label"></label>
                                    <span asp-validation-for="Mobile" class="text-danger"></span>
                                    <input asp-for="Mobile" asp-description-for="Mobile" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Phone" class="control-label"></label>
                                    <span asp-validation-for="Phone" class="text-danger"></span>
                                    <input asp-for="Phone" asp-description-for="Phone" class="form-control" />
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="ResidenceType" class="control-label"></label>
                                    <span asp-validation-for="ResidenceType" class="text-danger"></span>
                                    <select asp-for="ResidenceType" asp-description-for="ResidenceType" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.ResidenceType>()">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3 residence-data">
                                <div class="form-group">
                                    <label asp-for="DocumentNumber" class="control-label"></label>
                                    <span asp-validation-for="DocumentNumber" class="text-danger"></span>
                                    <input asp-for="DocumentNumber" asp-description-for="DocumentNumber" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3 residence-data">
                                <div class="form-group">
                                    <label asp-for="DocumentStartDate" class="control-label"></label>
                                    <span asp-validation-for="DocumentStartDate" class="text-danger"></span>
                                    <input asp-for="DocumentStartDate" asp-description-for="DocumentStartDate" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3 residence-data">
                                <div class="form-group">
                                    <label asp-for="DocumentEndDate" class="control-label"></label>
                                    <span asp-validation-for="DocumentEndDate" class="text-danger"></span>
                                    <input asp-for="DocumentEndDate" asp-description-for="DocumentEndDate" class="form-control" />
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="EconomicCode" class="control-label"></label>
                                    <span asp-validation-for="EconomicCode" class="text-danger"></span>
                                    <input asp-for="EconomicCode" asp-description-for="EconomicCode" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="TaxTrackingCode" class="control-label"></label>
                                    <span asp-validation-for="TaxTrackingCode" class="text-danger"></span>
                                    <input asp-for="TaxTrackingCode" asp-description-for="TaxTrackingCode" class="form-control" />
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <partial name="/Views/Shared/Partials/_ImageUploadGuidePartial.cshtml" />

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="StoreDocument" class="control-label"></label>
                                    <span asp-validation-for="StoreDocument" class="text-danger"></span>
                                    <input asp-for="StoreDocument" class="form-control-file" data-initial-preview="@Url.Content(Model.StoreDocumentUrl)">
                                    @*<img class="img-fluid mt-1" src="@Url.Content(Model.StoreDocumentUrl)" alt="">*@
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-footer">
            <button type="submit" class="btn btn-primary btn-min-width">
                <i class="icon-check2"></i>
                ثبت
            </button>
        </div>
    </div>
</form>

@section Scripts{
    <script src="~/js/dropdown.js"></script>

    <script>
        $(document).ready(function () {
            let residenceValue = @((int)Model.ResidenceType);
            let residenceType = $("#ResidenceType");
            if (residenceType.val() == 1 || residenceType.val() == 4)
                $(".residence-data").hide();

            residenceType.change(function () {
                if (residenceType.val() == 2 || residenceType.val() == 3)
                    $(".residence-data").show();
                else
                    $(".residence-data").hide();

                return false;
            })
        });
    </script>
    <script>
        // Add the following code if you want the name of the file appear on select
        $(".custom-file-input").on("change", function () {
            var fileName = $(this).val().split("\\").pop();
            $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
        });
    </script>
}
